Subject: [Idr] I-D Action:draft-ietf-idr-rfc4893bis-00.txt

From: [email-masked]
Date: Fri, 17 Apr 2009 15:00:01 -0700 (PDT)

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Inter-Domain Routing Working Group of the IETF.

	Title           : BGP Support for Four-octet AS Number Space
	Author(s)       : Q. Vohra, E. Chen
	Filename        : draft-ietf-idr-rfc4893bis-00.txt
	Pages           : 11
	Date            : 2009-04-17

Currently the Autonomous System (AS) number is encoded as a two-octet
entity in BGP. This document describes extensions to BGP to carry the
Autonomous System number as a four-octet entity.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-idr-rfc4893bis-00.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: John Leslie <[email-masked]>
Date: Sat, 18 Apr 2009 20:51:33 -0400

> http://www.ietf.org/internet-drafts/draft-ietf-idr-rfc4893bis-00.txt

   Under 4893bis, it is clearly possible that a NEW speaker may
encounter a (4-byte) AS_PATH that contains AS_TRANS. I believe
4893bis calls for that to never match a NEW speaker's ASN. To
reduce confusion, I suggest adding the following text:
" 
" Loop-detection is an important feature of BGP, and implementors
" may question whether AS_TRANS should match every ASN > 65535 to
" ensure loops are detected. There are two loop-detection issues:
" 
" 1) Routing-information-loops can fill the RIB and cause a router
"    to fail;
" 
" 2) Forwarding-loops can cause packets to follow the forwarding
"    loop until TTL is exhausted.
" 
" Routing-information-loops will necessarily be detected by some
" ASN < 65536 speaker, so matching AS_TRANS to any ASN > 65535 is
" unnecessary to avoid these.
" 
" Forwarding-loops are not necessarily correlated with the AS_PATH
" information, and will generally primarily affect one "weak-link"
" router within the loop. OTOH, matching AS_TRANS to every
" ASN > 65535 would sometimes cause particular CIDR blocks to become
" unreachable.
" 
" Thus, matching AS_TRANS to every ASN > 65535 is not recommended.
" Implementors may wish to consider a configuration switch to enable
" such matching for "weak-link" routers, but any such switch should
" default to OFF.

--
John Leslie <[email-masked]>

---

From: Paul Jakma <[email-masked]>
Date: Sun, 19 Apr 2009 11:47:30 +0100 (BST)

> " Routing-information-loops will necessarily be detected by some

s/necessarily/likely/

> " unnecessary to avoid these.

s/.*/probably \0/

As far as I know, there is no /harm/ in early-catching of these 
cases. I'm mystified why people would argue that it shouldn't be 
done.

But hey..

regards,
-- 
Paul Jakma	[email-masked]	[email-masked]	Key ID: 64A2FF6A
Fortune:
Everything can be filed under "miscellaneous".